#if !defined(__maincli_h)              // Sentry, use file only if it's not already included.
#define __maincli_h

/*  Project owlmovie
    
    Copyright  1995 Greg Arakelian. All Rights Reserved.

    SUBSYSTEM:    owlmovie.exe Application
    FILE:         maincli.h
    AUTHOR:       Greg Arakelian


    OVERVIEW
    ========
    Class definition for TMainDlgClient (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "mainapp.rh"   // Definition of all resources.
#include "movie.hpp"    // Movie sprites

//{{TDialog = TMainDlgClient}}
class TMainDlgClient : public TDialog {
public:
  TMovie *MovieControl;			// animation control
  TButton *OkButton;
  TMainDlgClient (TWindow *parent, TResId resId = IDD_CLIENT, TModule *module = 0);
  virtual ~TMainDlgClient ();


//{{TMainDlgClientVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
//{{TMainDlgClientVIRTUAL_END}}
};    //{{TMainDlgClient}}


#endif                                      // __maincli_h sentry.
