#if !defined(__mainapp_h)              // Sentry, use file only if it's not already included.
#define __mainapp_h

/*  Project owlmovie
    
    Copyright  1995 Greg Arakelian. All Rights Reserved.

    SUBSYSTEM:    owlmovie.exe Application
    FILE:         mainapp.h
    AUTHOR:       Greg Arakelian


    OVERVIEW
    ========
    Class definition for TMainApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "mainapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = SDIDecFrame}}
class SDIDecFrame : public TDecoratedFrame {
public:
    SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, bool trackMenuSelection = false, TModule *module = 0);
    ~SDIDecFrame ();
};    //{{SDIDecFrame}}


//{{TApplication = TMainApp}}
class TMainApp : public TApplication {
private:

public:
    TMainApp ();
    virtual ~TMainApp ();

//{{TMainAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{TMainAppVIRTUAL_END}}

//{{TMainAppRSP_TBL_BEGIN}}
protected:
    void CmHelpAbout ();
//{{TMainAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TMainApp);
};    //{{TMainApp}}


#endif                                      // __mainapp_h sentry.
